%define ocamlpck  faad

Name:          ocaml-faad
Version:       0.5.1
Release:       2mamba
Summary:       OCaml bindings for the libfaad AAC decoder library
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/savonet/ocaml-faad
Source:        https://github.com/savonet/ocaml-faad.git/v%{version}/ocaml-faad-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfaad2-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: dune
BuildRequires: ocaml-findlib
BuildRequires: camlidl

%description
This package contains an O'Caml interface for the AAC audio decoder, otherwise known as libfaad.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR="%{buildroot}" dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES README.md

%changelog
* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 0.5.1-2mamba
- rebuilt with ocaml 4.14.1

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- update to 0.5.0

* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- update to 0.5.0

* Wed Jun 26 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.3.2-1mamba
- package created by autospec
